Get Paused Execution (Resume Path)

Get detailed information about a specific paused execution using the resume URL path. Returns the same data as the workflow paused execution detail endpoint.

GET/api/resume/{workflowId}/{executionId}
X-API-Key<token>

Your Sim API key (personal or workspace). Generate one from the Sim dashboard under Settings > API Keys.

In: header

Path Parameters

workflowId*string

The unique identifier of the workflow.

executionId*string

The execution ID of the paused execution.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET \  "https://www.sim.ai/api/resume/{workflowId}/{executionId}" \  -H "X-API-Key: YOUR_API_KEY"
{
  "id": "string",
  "workflowId": "string",
  "executionId": "string",
  "status": "paused",
  "totalPauseCount": 0,
  "resumedCount": 0,
  "pausedAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "expiresAt": "2019-08-24T14:15:22Z",
  "metadata": {},
  "triggerIds": [
    "string"
  ],
  "pausePoints": [
    {
      "contextId": "string",
      "blockId": "string",
      "response": null,
      "registeredAt": "2019-08-24T14:15:22Z",
      "resumeStatus": "paused",
      "snapshotReady": true,
      "resumeLinks": {
        "apiUrl": "http://example.com",
        "uiUrl": "http://example.com",
        "contextId": "string",
        "executionId": "string",
        "workflowId": "string"
      },
      "queuePosition": 0,
      "latestResumeEntry": {
        "id": "string",
        "pausedExecutionId": "string",
        "parentExecutionId": "string",
        "newExecutionId": "string",
        "contextId": "string",
        "resumeInput": null,
        "status": "string",
        "queuedAt": "2019-08-24T14:15:22Z",
        "claimedAt": "2019-08-24T14:15:22Z",
        "completedAt": "2019-08-24T14:15:22Z",
        "failureReason": "string"
      },
      "parallelScope": {
        "parallelId": "string",
        "branchIndex": 0,
        "branchTotal": 0
      },
      "loopScope": {
        "loopId": "string",
        "iteration": 0
      }
    }
  ],
  "executionSnapshot": {
    "snapshot": "string",
    "triggerIds": [
      "string"
    ]
  },
  "queue": [
    {
      "id": "string",
      "pausedExecutionId": "string",
      "parentExecutionId": "string",
      "newExecutionId": "string",
      "contextId": "string",
      "resumeInput": null,
      "status": "string",
      "queuedAt": "2019-08-24T14:15:22Z",
      "claimedAt": "2019-08-24T14:15:22Z",
      "completedAt": "2019-08-24T14:15:22Z",
      "failureReason": "string"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}